Rolling up player and equalizer restores window's default decorations

April 23, 2013 20:39 - Vladimir Strakh

Status: Rejected Start date: April 23, 2013

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/skins Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

Hi.

Probably not audacious' bug at all (maybe gtk/gdk/gtk theme), but quite annoying.

I run audacious normally shaded in "winamp classic" mode with "Winamp5-XMMS" skin. "Unrolling" player up shows larger gui ok.

But when I want it shaded again, I get full gtk decorations around player window.

It can be cleared by restarting player or by switching forth and back between "Gtk interface" and "winamp classic".

Also switching between skins while player is shaded will either show or hide window decorations depending on exact skin.

Many skins won't give decorations, but some other (including "Winamp5-XMMS") will show it.

It appears that calling gtk_widget_shape_combine_region() to clear shape is the cause, because equalizer window suffer from same

issue, while playlist editor is not.

Hiding/showing window around that call will "fix" problem. Not sure how dirty is this workaround...

History

#1 - April 24, 2013 00:45 - John Lindgren

- Subject changed from Rolling up player and equalizer restores window's default decorations to Rolling up player and equalizer restores

window&#x27;s default decorations

- Status changed from New to Rejected

Not a bug.  Go install a working window manager.  I have had good luck with XFWM4.

#2 - April 24, 2013 00:48 - John Lindgren

- Subject changed from Rolling up player and equalizer restores window&#x27;s default decorations to Rolling up player and equalizer restores

window's default decorations

#3 - April 24, 2013 00:49 - Vladimir Strakh

That was kde's kwin, showing that behavior for some versions already :(

Files

roll_up_decorations.patch.gz 655 Bytes April 23, 2013 Vladimir Strakh
